- Main Page
- Modules
- Data Structures
- Files
- Examples

# Web server
[Applications]

## Detailed Description

The uIP web server is a very simplistic implementation of an HTTP server.

It can serve web pages and files from a read-only ROM filesystem, and provides a very small scripting language.

## Files
file | httpd-cgi.h
| Web server script interface header file.

file | httpd-cgi.c
| Web server script interface.

file | httpd.c
| Web server.

## Data Structures
struct | httpd_cgi_call
## Defines
#define | HTTPD_CGI_CALL(name, str, function)
| HTTPD CGI function declaration.
#define | STATE_WAITING 0
#define | STATE_OUTPUT 1
#define | ISO_nl 0x0a
#define | ISO_space 0x20
#define | ISO_bang 0x21
#define | ISO_percent 0x25
#define | ISO_period 0x2e
#define | ISO_slash 0x2f
#define | ISO_colon 0x3a
## Functions
httpd_cgifunction | httpd_cgi (char *name)
void | httpd_appcall (void)
void | httpd_init (void)
| Initialize the web server.

## Define Documentation

#define HTTPD_CGI_CALL | ( | name,
|  | str,
|  | function |  | ) |

  | HTTPD CGI function declaration. Parameters:
  | name | The C variable name of the function
  | str | The string name of the function, used in the script file
  | function | A pointer to the function that implements it
This macro is used for declaring a HTTPD CGI function. This function is then added to the list of HTTPD CGI functions with the httpd_cgi_add() function. Definition at line 77 of file httpd-cgi.h.

## Function Documentation

void httpd_init | ( | void |  | ) |

| Initialize the web server. This function initializes the web server and should be called at system boot-up. Definition at line 333 of file httpd.c. References HTONS, and uip_listen().